@CHARSET "UTF-8";

/*

* { outline: 2px dotted red }
* * { outline: 2px dotted green }
* * * { outline: 2px dotted orange }
* * * * { outline: 2px dotted blue }
* * * * * { outline: 1px solid red }
* * * * * * { outline: 1px solid green }
* * * * * * * { outline: 1px solid orange }
* * * * * * * * { outline: 1px solid blue }

*/

html,body{
	color:#555555;
}

input[type='number']{
	max-width: 4em;
}

#mobile-header{
	display:none;
}

#mobile-panel-controler{
	display:none;
}


#wrap{
	background: none repeat scroll 0% 0% #DCD0E7;
	min-height:100vh;
}

#container {
	width: 1024px;
/* 	min-width: 51em; */
/* 	max-width: 73em; */
	margin: 0 auto;
	border: 1px solid #AAAAAA;
	background: white;
	box-shadow: 0px 0px 10px 0px #898989;
}

#top-bar {
/* 	height: 20px; */
	background-color: #005fa6;
}

#header {
	position: relative;
}

/* language panel */
#languages {
/* 	position: absolute; */
/* 	top: 0; */
/* 	left: 0; */
	float: left;
	padding-top: 5px;
}

#languages ul {
	list-style-type: square;
	color: #C4B2D6;
	margin: 0;
	padding-left: 20px;
	list-style-position: outside;
}

#languages ul li.lang.active {
	color: white;
}

#languages ul li.lang {
	float: left;
	margin-left: 20px;
	font-size: 80%;
}

#languages ul li.lang:hover {
	color: white;
}

#languages ul li.lang a {
	color: inherit;
}

/* login & register & cart */
#cart {
/* 	position: absolute; */
/* 	right: 0; */
/* 	top: 0; */
/* 	background-color: #6C3F98; */
/* 	border-radius: 15px 15px 15px 15px; */
	padding: 8px 15px;
	color: white;
	font-size: 100%;
	float:right;
}

#cart a {
	color: inherit;
}

#cart a:hover {
	text-decoration: underline;
}

#cart>* {
	display: inline-block;
	padding: 0 5px;
}

/* #cart div:nth-child(n+2) { */
/* 	border-left: 2px solid white; */
/* } */

#cart div {
	border-left: 2px solid white;
}
#cart div:first-child {
	border-left: none;
}

#view-cart img {
	margin-right: 5px;
	width: 20px;
	vertical-align: top;
	float:left;
}

/* Logo */
#logo-panel {
	display: inline-block;
	width: 60%;
	min-height: 70px;
}

#logo {
	width: 100%;
}

/* Search */
#search-panel {
	display: inline-block;
	position: absolute;
	right: 10px;
	bottom: 10px;
}

#search-input-group {
}

#search-keyword {
	border: 1px solid rgb(204, 204, 204);
	border-right: none;
	float: left;
	height: 30px;
	margin: 0px;
	padding: 0px 15px;
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
	width: 170px;
	line-height: 30px;/*For IE8 */
}

#search-btn {
	cursor: pointer;
	background: none repeat scroll 0% 0% rgb(71, 71, 71);
	height: 32px;
	border: 1px solid rgb(204, 204, 204);
	display: inline-block;
	padding: 0px 5px;
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
}

#search-btn img {
	vertical-align: middle;
}

/* Menu */
#menu {
	margin-top:5px;
	width: 100%;
	
 	background: -moz-linear-gradient(top,  #fee100 51%, #ffd812 100%);/* FF3.6+ */
 	background: -webkit-gradient(linear, left top, left bottom, color-stop(51%,#fee100), color-stop(100%,#ffd812));/* Chrome,Safari4+ */
 	background: -webkit-linear-gradient(top,  #fee100 51%,#ffd812 100%);/* Chrome10+,Safari5.1+ */
 	background: -o-linear-gradient(top,  #fee100 51%,#ffd812 100%);/* Opera 11.10+ */
 	background: -ms-linear-gradient(top,  #fee100 51%,#ffd812 100%);/* IE10+ */
 	background: linear-gradient(to bottom,  #fee100 51%,#ffd812 100%);/* W3C */
	
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffa016', endColorstr='#ffd812',GradientType=0 ); /* IE6-8 */
	
}

.menu-item {
	text-align: center;
	width: 20%;
}

/* .menu-item:nth-child(n+2) { */
/* 	border-left: 4px solid #FFE087; */
/* } */
.menu-item {
	border-left: 4px solid #FFE087;
}
.menu-item:first-child {
	border-left:none;
}


.menu-item:hover {
	background-color: #E7E7E7;
	
	background: -moz-linear-gradient(top,  #ffd812 51%, #ffa016 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(51%,#ffd812), color-stop(100%,#ffa016)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #ffd812 51%,#ffa016 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #ffd812 51%,#ffa016 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #ffd812 51%,#ffa016 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #ffd812 51%,#ffa016 100%); /* W3C */
	
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffd812', endColorstr='#ffa016',GradientType=0 ); /* IE6-8 */
	
}

.menu-item a {
	display: block;
	padding: 0.4em 0px;
	font-weight: bolder;
}

/* Banner */
#banner{
	margin:5px 0px;
	text-align: center;
}

#banner img{
	width:100%;
}

#banner a{
	display: block;
}

/* Main */
#main{
	margin:0px;
	padding:0px 5px;
}


#left-panel,
#middle-panel,
#right-panel{
	vertical-align: top;
}

#left-panel{
	width:20%;
	min-width: 200px;
}

#category-panel{
	margin-bottom:5px;
}
#category-panel-content{
	padding:1.3em;
	background-color: #EFEFEF;
}

#category-list {
    list-style-position: inside;
    list-style:none;
    padding: 0px 0px 0px 0px;
	margin: 10px 0px 0px 0px;
	color: #636363;
}

.category-list-item{
	border-bottom: 1px solid #C5C5C5;
}

.category-list-item:hover{
	background-color:#FFFFFF;
}

.category-list-item.active-category{
	background-color:#FFFFFF;
}


#category-list a{
	color:inherit;
	display: block;
	padding: 5px 0px 5px 20px;
}

.category-list-item .list-style {
    font-weight: bolder;
    vertical-align: top;
}

.category-list-item .category-name{
/* 	display: inline-block; */
}

/* .category-list-item .category-name::before{ */
/* 	content:"\2022"; */
/* 	font-weight: bolder; */
/* 	padding-right:5px; */
/* } */

#category-panel-title {
    font-weight: bolder;
  background-color: #005fa6;
    color: white;
    padding: 5px 10px;
    text-transform: uppercase;
}

.left-theme-item-panel{
	margin-bottom: 5px;
	overflow:hidden;
}

.left-theme-item-panel:hover{
	box-shadow: 0px 0px 10px 0px #dddddd;
}

.left-theme-item-panel a{
	width:100%;
	display: block;
}

.left-theme-item-panel .theme-item-img{
	width:100%;
	display: block;
}


#payment-method-support-panel{
}

#payment-method-support-title{
	color:white;
	/*background-image: url("../images/we_accept_top_background.png");*/
	background-color:#005fa6;
	background-repeat: no-repeat;
	background-size: cover;
	padding: 5px 10px;
	
	/*text-shadow: -1px 0px 2px #CC8046, 0px 1px 2px #CC8046, 1px 0px 2px #CC8046, 0px -1px 2px #CC8046;*/
}

#payment-method-support-list{
	background-image: url("../images/we_accept_cards_background.png");
	background-repeat: no-repeat;
	background-size: 100% 100%;
	padding: 5px 10px;
}

#payment-method-support-list img{
	width:100%;
}



/* main content */
#middle-panel{
	width: 78%;
	padding-left:1%;
	padding-bottom:1em;
}

#middle-panel table{
	width:100%;
}


#right-panel{
	width:0%;
}

/* footer */
#footer{
	padding: 10px 15px;
	background-color: #fee100;
	margin-bottom:10px;
	border-top: 5px solid #005fa6;;
}

#footer a:hover{
	text-decoration:underline;
}

.footer-item{
	display:inline-block;
	vertical-align: top;
	width:24.5%;
}

.footer-item-title{
	font-weight: bolder;
	margin-bottom:5px;
}

.footer-item-content{
/* 	padding-left:5px; */
	font-size: 90%;
}

.social-btn-icon{
	width:30px;
}

/* Copyright */
#copyright{
	text-align:right;
	padding-right: 10px;
	font-size:100%;
}

#power-by{
	text-align:right;
	padding-right: 10px;
	font-size:70%;
}

#power-by > div{
	display:inline-block;
	vertical-align: middle;
}



/* product showcase */

.product-list-table{
	border-spacing: 5px;
}


.product-showcase{
/* 	display:inline-block; */
	vertical-align:top;
	max-width: 15em;
	margin: 0 auto;
}

.product-showcase:hover{
}

/* .product-showcase:after{ */
/* 	content:""; */
/* 	display:block; */
/* } */

.product-showcase a{
	display:block;
}

.product-showcase a:hover{
	text-decoration:none;
}

.product-showcase a:hover .product-name{
	text-decoration:underline;
}

.product-box{
	border:1px solid #CCCCCC;
	padding:2px 2px 4px 2px;
}

.product-showcase:hover .product-box{
	box-shadow: 0px 0px 4px 0px #DDD;
}
.product-showcase:active .product-box{
	box-shadow: inset 0px 0px 4px 0px #DDD;
}
.product-image {
    text-align: center;
    height: 100px;
}

.product-image img {
	max-height: 100%;
	max-width: 100%;
	vertical-align: middle;
	display: inline-block;
}

/* for vertical-align image */
.product-image:before{
	content:"";
	display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.product-price,
.product-discount-price{
	text-align: center;
	font-weight: bolder;
	
}
.product-price{
	color: #005fa6;
}
.product-discount-price{
	color: #ff0000;
}

.product-name{
	padding: 5px 10px;
	text-align: center;
}

.product-description{
	color: #999999;
	text-align: center;
	overflow: hidden;
	max-height: 100px;
	padding: 5px 10px;
	display:none;
}

.product-detail-name{
	min-width:4em;
	max-width:8em;
}

.product-detail-content{
	min-width:4em;
}




/* Button */
.btn{
	cursor: pointer;
	padding:5px;
	border:1px solid #FFFFFF;
	border-radius: 4px;
	color: white;
	box-shadow: 0px 0px 2px 0px #AAAAAA;
	
	background: #ffb315; /* Old browsers */
	background: -moz-linear-gradient(top, #005fa6 50%, #005fa6 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(50%,#005fa6), color-stop(100%,#005fa6)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, #005fa6 50%,#005fa6 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, #005fa6 50%,#005fa6 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, #005fa6 50%,#005fa6 100%); /* IE10+ */
	background: linear-gradient(to bottom, #005fa6 50%,#005fa6 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffb315', endColorstr='#ff7805',GradientType=0 ); /* IE6-8 */
}

.btn:hover{
	box-shadow: 0px 0px 4px 0px #AAAAAA;
/* 	text-decoration: underline; */
}
.btn:active{
	box-shadow: inset 0px 0px 4px 0px #BBBBBB;
	
	background: #ff7805; /* Old browsers */
	background: -moz-linear-gradient(top, #005fa6 0%, #005fa6 50%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#005fa6), color-stop(50%,#005fa6)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, #005fa6 0%,#005fa6 50%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, #005fa6 0%,#005fa6 50%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, #005fa6 0%,#005fa6 50%); /* IE10+ */
	background: linear-gradient(to bottom, #005fa6 0%,#005fa6 50%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#005fa6', endColorstr='#005fa6',GradientType=0 ); /* IE6-8 */
}

.alert-warning{
	color: #8a6d3b;
	background-color: #fcf8e3;
	border-color: #faebcc;
	padding: 14px;
	padding: 1rem;
	font-size:12px;
	font-size:0.8571rem;
}